summaryrefslogtreecommitdiffstats
path: root/0034-base-dracut-lib.sh-do-not-setdebug-if-not-in-initram.patch
blob: 8d3d3fd7d70901c14adf0a0232b7e29e314b4dcf (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
From 2b125c69cc80baae765a868992003ddd349a7ae9 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Thu, 18 Apr 2013 12:54:30 +0200
Subject: [PATCH] base/dracut-lib.sh: do not setdebug, if not in initramfs

---
 modules.d/99base/dracut-lib.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/modules.d/99base/dracut-lib.sh b/modules.d/99base/dracut-lib.sh
index 9f4b2d2..ae79a82 100755
--- a/modules.d/99base/dracut-lib.sh
+++ b/modules.d/99base/dracut-lib.sh
@@ -325,6 +325,7 @@ splitsep() {
 }
 
 setdebug() {
+    [ -f /etc/initrd-release ] || return
     if [ -z "$RD_DEBUG" ]; then
         if [ -e /proc/cmdline ]; then
             RD_DEBUG=no